Hubspotcmsconnector v1.0

Version 1.0

Connector Overview: This page documents all 168 actions for the Hubspotcmsconnector v1.0.

View API Documentation

Blog Posts API (24)

POST Attach a Blog Post to a multi-language group

/blogs/posts/multi-language/attach-to-lang-group

Attach a Blog Post to a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Id

The unique identifier of the blog post to attach to the group.

Language

The language code (e.g., "en") for the blog post being attached.

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Primarylanguage

The language code of the primary blog post in the group.

POST Clone a Blog Post

/blogs/posts/clone

Clone a Blog Post.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Clonename

The name to assign to the cloned blog post.

POST Create a batch of Blog Posts

/blogs/posts/batch/create

Create the Blog Post objects detailed in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Create a new Blog Post

/blogs/posts

Create a new Blog Post.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (55)

Option Name

Description

Abstatus

Status of an A/B test for this blog post.

Abtestid

Identifier of the A/B test this post belongs to.

Archivedat

Timestamp when the blog post was archived.

Archivedindashboard

Whether the post is archived in the dashboard view.

Authorname

Display name of the post's author.

Blogauthorid

Internal ID of the blog author.

Campaign

Marketing campaign associated with the post.

Categoryid

ID of the blog category for the post.

Contentgroupid

ID of the content group this post belongs to.

Contenttypecategory

Category of content type for the post.

Created

Timestamp when the blog post was created.

Createdbyid

ID of the user who created the post.

Currentstate

Current workflow state of the blog post.

Currentlypublished

Whether the post is currently published.

Domain

Domain on which the blog post is hosted.

Dynamicpagedatasourceid

ID of the data source for a dynamic page.

Dynamicpagedatasourcetype

Type of data source for a dynamic page.

Dynamicpagehubdbtableid

HubDB table ID for a dynamic page.

Enabledomainstylesheets

Whether to enable domain-level stylesheets.

Enablegoogleampoutputoverride

Whether to override Google AMP output.

Enablelayoutstylesheets

Whether to enable layout-level stylesheets.

Featuredimage

URL of the featured image for the post.

Featuredimagealttext

Alt text for the featured image.

Folderid

ID of the folder containing the post.

Footerhtml

Custom HTML to include in the page footer.

Headhtml

Custom HTML to include in the page head.

Htmltitle

HTML title tag content for the post.

Id

The unique identifier of the blog post to clone.

Includedefaultcustomcss

Whether to include default custom CSS.

Language

The language code (e.g., "en") for the blog post being attached.

Linkrelcanonicalurl

Canonical URL for the post.

Mabexperimentid

Identifier for a multi-armed bandit experiment.

Metadescription

Meta description for the post.

Name

Name or title of the blog post.

Pageexpirydate

Date when the page expires.

Pageexpiryenabled

Whether page expiry is enabled.

Pageexpiryredirectid

ID of the redirect page after expiry.

Pageexpiryredirecturl

URL to redirect to after expiry.

Password

Password required to access the post.

Postbody

Main body content of the blog post.

Postsummary

Summary or excerpt of the post.

Publicaccessrules

Array of public access rules for the post.

Publicaccessrulesenabled

Whether public access rules are enabled.

Publishdate

Date and time when the post is scheduled to be published.

Publishimmediately

Whether to publish the post immediately.

Rssbody

RSS feed body content for the post.

Rsssummary

RSS feed summary for the post.

Slug

URL slug for the blog post.

State

Workflow state of the post (e.g., DRAFT, PUBLISHED).

Tagids

Array of tag IDs associated with the post.

Translatedfromid

ID of the original post this is a translation of.

Updated

Timestamp when the post was last updated.

Updatedbyid

ID of the user who last updated the post.

Url

Full URL of the blog post.

Usefeaturedimage

Whether to use the featured image in the post.

POST Create a new language variation

/blogs/posts/multi-language/create-language-variation

Create a new language variation from an existing Blog Post

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

DELETE Delete a Blog Post

/blogs/posts/{objectId}

Delete the Blog Post object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Whether to return only results that have been archived.

Objectid

The unique identifier of the blog post to delete.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Delete a batch of Blog Posts

/blogs/posts/batch/archive

Delete the Blog Post objects identified in the request body.
Note: This is not the same as the in-app archive function. To perform a dashboard archive send an normal update with the archivedInDashboard field set to true.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to archive.

POST Detach a Blog Post from a multi-language group

/blogs/posts/multi-language/detach-from-lang-group

Detach a Blog Post from a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

GET Get all Blog Posts

/blogs/posts

Get the list of blog posts. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Createdat

Only return Blog Posts created at exactly the specified time.

Createdafter

Only return Blog Posts created after the specified time.

Createdbefore

Only return Blog Posts created before the specified time.

Updatedat

Only return Blog Posts last updated at exactly the specified time.

Updatedafter

Only return Blog Posts last updated after the specified time.

Updatedbefore

Only return Blog Posts last updated before the specified time.

Sort

Specifies which fields to use for sorting results. Valid fields are name, createdAt, updatedAt, createdBy, updatedBy. createdAt will be used by default.

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Limit

The maximum number of results to return. Default is 20.

Archived

Specifies whether to return deleted Blog Posts. Defaults to false.

Property

Specifies which property or properties to include in the response for each blog post.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Push Blog Post draft edits live

/blogs/posts/{objectId}/draft/push-live

Take any changes from the draft version of the Blog Post and apply them to the live version.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose draft should be published.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Reset the Blog Post draft to the live version

/blogs/posts/{objectId}/draft/reset

Discards any edits and resets the draft to the live version.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose draft should be reset.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Restore a previous version of a blog post

/blogs/posts/{objectId}/revisions/{revisionId}/restore

Takes a specified version of a blog post and restores it.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision will be restored.

Revisionid

The unique identifier of the previous revision to restore as the live version.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Restore a previous version of a blog post, to the draft version of the blog post

/blogs/posts/{objectId}/revisions/{revisionId}/restore-to-draft

Takes a specified version of a blog post, sets it as the new draft version of the blog post.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose draft will receive the revision content.

Revisionid

The unique identifier of the previous revision to restore into the draft.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieve a Blog Post

/blogs/posts/{objectId}

Retrieve the Blog Post object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Blog Posts. Defaults to false.

Property

Specifies which property or properties to include in the response for the blog post.

Objectid

The unique identifier of the blog post to retrieve.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Retrieve a batch of Blog Posts

/blogs/posts/batch/read

Retrieve the Blog Post objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Blog Posts. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

GET Retrieve the full draft version of the Blog Post

/blogs/posts/{objectId}/draft

Retrieve the full draft version of the Blog Post.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose draft version to retrieve.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieves a previous version of a blog post

/blogs/posts/{objectId}/revisions/{revisionId}

Retrieves a previous version of a blog post.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision to retrieve.

Revisionid

The unique identifier of the previous revision to fetch.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieves all the previous versions of a blog post

/blogs/posts/{objectId}/revisions

Retrieves all the previous versions of a blog post.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Before

A timestamp string (in ISO 8601 format) used to limit the revisions returned to those created before that date.

Limit

The maximum number of results to return. Default is 100.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Schedule a Blog Post to be Published

/blogs/posts/schedule

Schedule a Blog Post to be Published.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Publishdate

Date and time when the post is scheduled to be published.

PUT Set a new primary language

/blogs/posts/multi-language/set-new-lang-primary

Set a Blog Post as the primary language of a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

PATCH Update a Blog Post

/blogs/posts/{objectId}

Sparse updates a single Blog Post object identified by the id in the path.
All the column values need not be specified. Only the that need to be modified can be specified.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to update deleted Blog Posts. Defaults to false.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (55)

Option Name

Description

Abstatus

Status of an A/B test for this blog post.

Abtestid

Identifier of the A/B test this post belongs to.

Archivedat

Timestamp when the blog post was archived.

Archivedindashboard

Whether the post is archived in the dashboard view.

Authorname

Display name of the post's author.

Blogauthorid

Internal ID of the blog author.

Campaign

Marketing campaign associated with the post.

Categoryid

ID of the blog category for the post.

Contentgroupid

ID of the content group this post belongs to.

Contenttypecategory

Category of content type for the post.

Created

Timestamp when the blog post was created.

Createdbyid

ID of the user who created the post.

Currentstate

Current workflow state of the blog post.

Currentlypublished

Whether the post is currently published.

Domain

Domain on which the blog post is hosted.

Dynamicpagedatasourceid

ID of the data source for a dynamic page.

Dynamicpagedatasourcetype

Type of data source for a dynamic page.

Dynamicpagehubdbtableid

HubDB table ID for a dynamic page.

Enabledomainstylesheets

Whether to enable domain-level stylesheets.

Enablegoogleampoutputoverride

Whether to override Google AMP output.

Enablelayoutstylesheets

Whether to enable layout-level stylesheets.

Featuredimage

URL of the featured image for the post.

Featuredimagealttext

Alt text for the featured image.

Folderid

ID of the folder containing the post.

Footerhtml

Custom HTML to include in the page footer.

Headhtml

Custom HTML to include in the page head.

Htmltitle

HTML title tag content for the post.

Id

The unique identifier of the blog post to clone.

Includedefaultcustomcss

Whether to include default custom CSS.

Language

The language code (e.g., "en") for the blog post being attached.

Linkrelcanonicalurl

Canonical URL for the post.

Mabexperimentid

Identifier for a multi-armed bandit experiment.

Metadescription

Meta description for the post.

Name

Name or title of the blog post.

Pageexpirydate

Date when the page expires.

Pageexpiryenabled

Whether page expiry is enabled.

Pageexpiryredirectid

ID of the redirect page after expiry.

Pageexpiryredirecturl

URL to redirect to after expiry.

Password

Password required to access the post.

Postbody

Main body content of the blog post.

Postsummary

Summary or excerpt of the post.

Publicaccessrules

Array of public access rules for the post.

Publicaccessrulesenabled

Whether public access rules are enabled.

Publishdate

Date and time when the post is scheduled to be published.

Publishimmediately

Whether to publish the post immediately.

Rssbody

RSS feed body content for the post.

Rsssummary

RSS feed summary for the post.

Slug

URL slug for the blog post.

State

Workflow state of the post (e.g., DRAFT, PUBLISHED).

Tagids

Array of tag IDs associated with the post.

Translatedfromid

ID of the original post this is a translation of.

Updated

Timestamp when the post was last updated.

Updatedbyid

ID of the user who last updated the post.

Url

Full URL of the blog post.

Usefeaturedimage

Whether to use the featured image in the post.

PATCH Update a Blog Post draft

/blogs/posts/{objectId}/draft

Sparse updates the draft version of a single Blog Post object identified by the id in the path.
All the column values need not be specified. Only the that need to be modified can be specified.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (55)

Option Name

Description

Abstatus

Status of an A/B test for this blog post.

Abtestid

Identifier of the A/B test this post belongs to.

Archivedat

Timestamp when the blog post was archived.

Archivedindashboard

Whether the post is archived in the dashboard view.

Authorname

Display name of the post's author.

Blogauthorid

Internal ID of the blog author.

Campaign

Marketing campaign associated with the post.

Categoryid

ID of the blog category for the post.

Contentgroupid

ID of the content group this post belongs to.

Contenttypecategory

Category of content type for the post.

Created

Timestamp when the blog post was created.

Createdbyid

ID of the user who created the post.

Currentstate

Current workflow state of the blog post.

Currentlypublished

Whether the post is currently published.

Domain

Domain on which the blog post is hosted.

Dynamicpagedatasourceid

ID of the data source for a dynamic page.

Dynamicpagedatasourcetype

Type of data source for a dynamic page.

Dynamicpagehubdbtableid

HubDB table ID for a dynamic page.

Enabledomainstylesheets

Whether to enable domain-level stylesheets.

Enablegoogleampoutputoverride

Whether to override Google AMP output.

Enablelayoutstylesheets

Whether to enable layout-level stylesheets.

Featuredimage

URL of the featured image for the post.

Featuredimagealttext

Alt text for the featured image.

Folderid

ID of the folder containing the post.

Footerhtml

Custom HTML to include in the page footer.

Headhtml

Custom HTML to include in the page head.

Htmltitle

HTML title tag content for the post.

Id

The unique identifier of the blog post to clone.

Includedefaultcustomcss

Whether to include default custom CSS.

Language

The language code (e.g., "en") for the blog post being attached.

Linkrelcanonicalurl

Canonical URL for the post.

Mabexperimentid

Identifier for a multi-armed bandit experiment.

Metadescription

Meta description for the post.

Name

Name or title of the blog post.

Pageexpirydate

Date when the page expires.

Pageexpiryenabled

Whether page expiry is enabled.

Pageexpiryredirectid

ID of the redirect page after expiry.

Pageexpiryredirecturl

URL to redirect to after expiry.

Password

Password required to access the post.

Postbody

Main body content of the blog post.

Postsummary

Summary or excerpt of the post.

Publicaccessrules

Array of public access rules for the post.

Publicaccessrulesenabled

Whether public access rules are enabled.

Publishdate

Date and time when the post is scheduled to be published.

Publishimmediately

Whether to publish the post immediately.

Rssbody

RSS feed body content for the post.

Rsssummary

RSS feed summary for the post.

Slug

URL slug for the blog post.

State

Workflow state of the post (e.g., DRAFT, PUBLISHED).

Tagids

Array of tag IDs associated with the post.

Translatedfromid

ID of the original post this is a translation of.

Updated

Timestamp when the post was last updated.

Updatedbyid

ID of the user who last updated the post.

Url

Full URL of the blog post.

Usefeaturedimage

Whether to use the featured image in the post.

POST Update a batch of Blog Posts

/blogs/posts/batch/update

Update the Blog Post objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to update deleted Blog Posts. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Update languages of multi-language group

/blogs/posts/multi-language/update-languages

Explicitly set new languages for each Blog Post in a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Blog Settings API (9)

POST Attach a blog to a multi-language group

/blog-settings/settings/multi-language/attach-to-lang-group

Attach a blog to a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Primarylanguage

The language code of the primary blog post in the group.

POST Create a new language variation

/blog-settings/settings/multi-language/create-language-variation

Create a new language variation from an existing blog

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Primarylanguage

The language code of the primary blog post in the group.

Slug

URL slug for the blog post.

POST Detach a blog from a multi-language group

/blog-settings/settings/multi-language/detach-from-lang-group

Detach a blog from a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

GET Get all Blogs

/blog-settings/settings

Get the list of Blogs. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Createdat

Only return Blogs created at exactly the specified time.

Createdafter

Only return Blogs created after the specified time.

Createdbefore

Only return Blogs created before the specified time.

Updatedat

Only return Blogs last updated at exactly the specified time.

Updatedafter

Only return Blogs last updated after the specified time.

Updatedbefore

Only return Blogs last updated before the specified time.

Sort

Specifies which fields to use for sorting results. Valid fields are name and id

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Limit

The maximum number of results to return. Default is 100.

Archived

Specifies whether to return archived Blogs. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieve a Blog

/blog-settings/settings/{blogId}

Retrieve the Blog object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Blogid

The unique identifier of the blog whose settings should be retrieved.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieves a previous version of a Blog

/blog-settings/settings/{blogId}/revisions/{revisionId}

Retrieves a previous version of a Blog

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Blogid

The unique identifier of the blog whose previous version is being retrieved.

Revisionid

The unique identifier of the previous revision to fetch.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieves all the previous versions of a Blog

/blog-settings/settings/{blogId}/revisions

Retrieves all the previous versions of a Blog

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Before

A timestamp string (in ISO 8601 format) used to limit the revisions returned to those created before that date.

Limit

The maximum number of results to return. Default is 100.

Blogid

The unique identifier of the blog whose version history should be retrieved.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

PUT Set a new primary language

/blog-settings/settings/multi-language/set-new-lang-primary

Set a blog as the primary language of a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

POST Update languages of multi-language group

/blog-settings/settings/multi-language/update-languages

Explicitly set new languages for each blog in a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Blog Tags API (14)

POST Attach a Blog Author to a multi-language group

/blogs/authors/multi-language/attach-to-lang-group

Attach a Blog Author to a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Primarylanguage

The language code of the primary blog post in the group.

POST Create a batch of Blog Authors

/blogs/authors/batch/create

Create the Blog Author objects detailed in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Create a new Blog Author

/blogs/authors

Create a new Blog Author.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (17)

Option Name

Description

Avatar

URL for the author's avatar image.

Bio

Brief biography of the author.

Created

Timestamp when the blog post was created.

Deletedat

Timestamp indicating when the author was deleted, if applicable.

Displayname

Display name for the author on the blog.

Email

Email address of the author.

Facebook

Facebook profile URL of the author.

Fullname

Full name of the author.

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Linkedin

LinkedIn profile URL of the author.

Name

Name or title of the blog post.

Slug

URL slug for the blog post.

Translatedfromid

ID of the original post this is a translation of.

Twitter

Twitter profile URL of the author.

Updated

Timestamp when the post was last updated.

Website

Website URL of the author.

POST Create a new language variation1

/blogs/authors/multi-language/create-language-variation

Create a new language variation from an existing Blog Author.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (3)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Primarylanguage

The language code of the primary blog post in the group.

DELETE Delete a Blog Author

/blogs/authors/{objectId}

Delete the Blog Author object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Whether to return only results that have been archived.

Objectid

(Required) The Blog Author id.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Delete a batch of Blog Authors

/blogs/authors/batch/archive

Delete the Blog Author objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Detach a Blog Author from a multi-language group

/blogs/authors/multi-language/detach-from-lang-group

Detach a Blog Author from a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

GET Get all Blog Authors

/blogs/authors

Get the list of blog authors. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Createdat

Only return Blog Authors created at exactly the specified time.

Createdafter

Only return Blog Authors created after the specified time.

Createdbefore

Only return Blog Authors created before the specified time.

Updatedat

Only return Blog Authors last updated at exactly the specified time.

Updatedafter

Only return Blog Authors last updated after the specified time.

Updatedbefore

Only return Blog Authors last updated before the specified time.

Sort

Specifies which fields to use for sorting results. Valid fields are name, createdAt, updatedAt, createdBy, updatedBy. createdAt will be used by default.

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Limit

The maximum number of results to return. Default is 100.

Archived

Specifies whether to return deleted Blog Authors. Defaults to false.

Property

Specifies which property or properties to include in the response for the blog post.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieve a Blog Author

/blogs/authors/{objectId}

Retrieve the Blog Author object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Blog Authors. Defaults to false.

Property

Specifies which property or properties to include in the response for the blog post.

Objectid

(Required) The Blog Author id.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Retrieve a batch of Blog Authors

/blogs/authors/batch/read

Retrieve the Blog Author objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Blog Authors. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

PUT Set a new primary language

/blogs/authors/multi-language/set-new-lang-primary

Set a Blog Author as the primary language of a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

PATCH Update a Blog Author

/blogs/authors/{objectId}

Sparse updates a single Blog Author object identified by the id in the path.
All the column values need not be specified. Only the that need to be modified can be specified.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to update deleted Blog Authors. Defaults to false.

Objectid

(Required) The Blog Author id.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (17)

Option Name

Description

Avatar

URL for the author's avatar image.

Bio

Brief biography of the author.

Created

Timestamp when the blog post was created.

Deletedat

Timestamp indicating when the author was deleted, if applicable.

Displayname

Display name for the author on the blog.

Email

Email address of the author.

Facebook

Facebook profile URL of the author.

Fullname

Full name of the author.

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Linkedin

LinkedIn profile URL of the author.

Name

Name or title of the blog post.

Slug

URL slug for the blog post.

Translatedfromid

ID of the original post this is a translation of.

Twitter

Twitter profile URL of the author.

Updated

Timestamp when the post was last updated.

Website

Website URL of the author.

POST Update a batch of Blog Authors

/blogs/authors/batch/update

Update the Blog Author objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to update deleted Blog Authors. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Update languages of multi-language group1

/blogs/authors/multi-language/update-languages

Explicitly set new languages for each Blog Author in a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Blog Tags (14)

POST Attach a Blog Tag to a multi-language group

/blogs/tags/multi-language/attach-to-lang-group

Attach a Blog Tag to a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Primarylanguage

The language code of the primary blog post in the group.

POST Create a batch of Blog Tags

/blogs/tags/batch/create

Create the Blog Tag objects detailed in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Create a new Blog Tag

/blogs/tags

Create a new Blog Tag.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (7)

Option Name

Description

Created

Timestamp when the blog post was created.

Deletedat

Timestamp indicating when the author was deleted, if applicable.

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Name

Name or title of the blog post.

Translatedfromid

ID of the original post this is a translation of.

Updated

Timestamp when the post was last updated.

POST Create a new language variation

/blogs/tags/multi-language/create-language-variation

Create a new language variation from an existing Blog Tag

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Name

Name or title of the blog post.

Language

The language code (e.g., "en") for the blog post being attached.

Primarylanguage

The language code of the primary blog post in the group.

DELETE Delete a Blog Tag

/blogs/tags/{objectId}

Delete the Blog Tag object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Whether to return only results that have been archived.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Delete a batch of Blog Tags

/blogs/tags/batch/archive

Delete the Blog Tag objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Detach a Blog Tag from a multi-language group

/blogs/tags/multi-language/detach-from-lang-group

Detach a Blog Tag from a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

GET Get all Blog Tags

/blogs/tags

Get the list of blog tags. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Createdat

Only return Blog Tags created at exactly the specified time.

Createdafter

Only return Blog Tags created after the specified time.

Createdbefore

Only return Blog Tags created before the specified time.

Updatedat

Only return Blog Tags last updated at exactly the specified time.

Updatedafter

Only return Blog Tags last updated after the specified time.

Updatedbefore

Only return Blog Tags last updated before the specified time.

Sort

Specifies which fields to use for sorting results. Valid fields are name, createdAt, updatedAt, createdBy, updatedBy. createdAt will be used by default.

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Limit

The maximum number of results to return. Default is 100.

Archived

Specifies whether to return deleted Blog Tags. Defaults to false.

Property

Specifies which property or properties to include in the response for the blog post.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieve a Blog Tag

/blogs/tags/{objectId}

Retrieve the Blog Tag object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Blog Tags. Defaults to false.

Property

Specifies which property or properties to include in the response for the blog post.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Retrieve a batch of Blog Tags

/blogs/tags/batch/read

Retrieve the Blog Tag objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Blog Tags. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

PUT Set a new primary language

/blogs/tags/multi-language/set-new-lang-primary

Set a Blog Tag as the primary language of a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

PATCH Update a Blog Tag

/blogs/tags/{objectId}

Sparse updates a single Blog Tag object identified by the id in the path.
All the column values need not be specified. Only the that need to be modified can be specified.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to update deleted Blog Tags. Defaults to false.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (7)

Option Name

Description

Created

Timestamp when the blog post was created.

Deletedat

Timestamp indicating when the author was deleted, if applicable.

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Name

Name or title of the blog post.

Translatedfromid

ID of the original post this is a translation of.

Updated

Timestamp when the post was last updated.

POST Update a batch of Blog Tags

/blogs/tags/batch/update

Update the Blog Tag objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to update deleted Blog Tags. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Update languages of multi-language group

/blogs/tags/multi-language/update-languages

Explicitly set new languages for each Blog Tag in a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Content (4)

POST Create a file

/source-code/{environment}/content/{path}

Creates a file at the specified path in the specified environment. Accepts multipart/form-data content type. Throws an error if a file already exists at the specified path.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Environment

(Required) The environment of the file ("draft" or "published").

Path

(Required) The file system location of the file.

Content-type

Specify the Content-Type header value for the file content.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

File

The file to upload.

PUT Create or update a file

/source-code/{environment}/content/{path}

Upserts a file at the specified path in the specified environment. Accepts multipart/form-data content type.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Environment

(Required) The environment of the file ("draft" or "published").

Path

(Required) The file system location of the file.

Content-type

Specify the Content-Type header value for the file content.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

File

The file to upload.

DELETE Delete a file

/source-code/{environment}/content/{path}

Deletes the file at the specified path in the specified environment.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Environment

(Required) The environment of the file ("draft" or "published").

Path

(Required) The file system location of the file.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Download a file

/source-code/{environment}/content/{path}

Downloads the byte contents of the file at the specified path in the specified environment.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Environment

(Required) The environment of the file ("draft" or "published").

Path

(Required) The file system location of the file.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Domains (2)

GET List all domains

/domains

Retrieves a list of all domains managed in HubSpot CMS.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieve a specific domain by its ID

/domains/{domainId}

Returns detailed information about a specific domain managed in HubSpot CMS.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Domainid

The ID of the domain to retrieve

Response Type

The response format expected from the API (e.g. application/json).

Extract

POST Extracts a zip file

/source-code/extract/{path}

Extracts a zip file in the file system. The zip file will be extracted in-place and not be deleted automatically.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Path

(Required) The file system location of the zip file.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Landing Pages (39)

POST Attach a landing page to a multi-language group

/pages/landing-pages/multi-language/attach-to-lang-group

Attach a landing page to a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (4)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Primarylanguage

The language code of the primary blog post in the group.

POST Clone a Landing Page

/pages/landing-pages/clone

Clone a Landing Page

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Clonename

The name to assign to the cloned blog post.

POST Create a batch of Folders

/pages/landing-pages/folders/batch/create

Create the Folder objects detailed in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Create a batch of Landing Pages

/pages/landing-pages/batch/create

Create the Landing Page objects detailed in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Create a new A/B test variation

/pages/landing-pages/ab-test/create-variation

Create a new A/B test variation based on the information provided in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Contentid

The content ID of the landing page for which the A/B test variation is created.

Variationname

The name to assign to the new A/B test variation.

POST Create a new Folder

/pages/landing-pages/folders

Create a new Folder

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (7)

Option Name

Description

Category

The category or label to associate with the new folder.

Created

Timestamp when the blog post was created.

Deletedat

Timestamp indicating when the author was deleted, if applicable.

Id

The unique identifier of the blog post to clone.

Name

Name or title of the blog post.

Parentfolderid

The ID of the parent folder under which the new folder is created.

Updated

Timestamp when the post was last updated.

POST Create a new Landing Page

/pages/landing-pages

Create a new Landing Page

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (51)

Option Name

Description

Abstatus

Status of an A/B test for this blog post.

Abtestid

Identifier of the A/B test this post belongs to.

Archivedat

Timestamp when the blog post was archived.

Archivedindashboard

Whether the post is archived in the dashboard view.

Authorname

Display name of the post's author.

Campaign

Marketing campaign associated with the post.

Categoryid

ID of the blog category for the post.

Contentgroupid

ID of the content group this post belongs to.

Contenttypecategory

Category of content type for the post.

Created

Timestamp when the blog post was created.

Createdbyid

ID of the user who created the post.

Currentstate

Current workflow state of the blog post.

Currentlypublished

Whether the post is currently published.

Domain

Domain on which the blog post is hosted.

Dynamicpagedatasourceid

ID of the data source for a dynamic page.

Dynamicpagedatasourcetype

Type of data source for a dynamic page.

Dynamicpagehubdbtableid

HubDB table ID for a dynamic page.

Enabledomainstylesheets

Whether to enable domain-level stylesheets.

Enablelayoutstylesheets

Whether to enable layout-level stylesheets.

Featuredimage

URL of the featured image for the post.

Featuredimagealttext

Alt text for the featured image.

Folderid

ID of the folder containing the post.

Footerhtml

Custom HTML to include in the page footer.

Headhtml

Custom HTML to include in the page head.

Htmltitle

HTML title tag content for the post.

Id

The unique identifier of the blog post to clone.

Includedefaultcustomcss

Whether to include default custom CSS.

Language

The language code (e.g., "en") for the blog post being attached.

Linkrelcanonicalurl

Canonical URL for the post.

Mabexperimentid

Identifier for a multi-armed bandit experiment.

Metadescription

Meta description for the post.

Name

Name or title of the blog post.

Pageexpirydate

Date when the page expires.

Pageexpiryenabled

Whether page expiry is enabled.

Pageexpiryredirectid

ID of the redirect page after expiry.

Pageexpiryredirecturl

URL to redirect to after expiry.

Pageredirected

Specifies a redirect URL for the landing page if a visitor should be redirected elsewhere.

Password

Password required to access the post.

Publicaccessrules

Array of public access rules for the post.

Publicaccessrulesenabled

Whether public access rules are enabled.

Publishdate

Date and time when the post is scheduled to be published.

Publishimmediately

Whether to publish the post immediately.

Slug

URL slug for the blog post.

State

Workflow state of the post (e.g., DRAFT, PUBLISHED).

Subcategory

Sets the subcategory under which the landing page is organized.

Templatepath

Provides the path to the template file used to render the landing page.

Translatedfromid

ID of the original post this is a translation of.

Updated

Timestamp when the post was last updated.

Updatedbyid

ID of the user who last updated the post.

Url

Full URL of the blog post.

Usefeaturedimage

Whether to use the featured image in the post.

POST Create a new language variation

/pages/landing-pages/multi-language/create-language-variation

Create a new language variation from an existing landing page

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (3)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Language

The language code (e.g., "en") for the blog post being attached.

Primarylanguage

The language code of the primary blog post in the group.

DELETE Delete a Folder

/pages/landing-pages/folders/{objectId}

Delete the Folder object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Whether to return only results that have been archived.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

DELETE Delete a Landing Page

/pages/landing-pages/{objectId}

Delete the Landing Page object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Whether to return only results that have been archived.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Delete a batch of Folders

/pages/landing-pages/folders/batch/archive

Delete the Folder objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Delete a batch of Landing Pages

/pages/landing-pages/batch/archive

Delete the Landing Page objects identified in the request body.
Note: This is not the same as the dashboard archive function. To perform a dashboard archive send an normal update with the archivedInDashboard field set to true.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Detach a landing page from a multi-language group

/pages/landing-pages/multi-language/detach-from-lang-group

Detach a landing page from a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

POST End an active A/B test

/pages/landing-pages/ab-test/end

End an active A/B test and designate a winner.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Abtestid

Identifier of the A/B test this post belongs to.

Winnerid

The ID of the variation that won the A/B test and should be applied.

GET Get all Landing Page Folders

/pages/landing-pages/folders

Get the list of Landing Page Folders. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Createdat

Only return Folders created at exactly the specified time.

Createdafter

Only return Folders created after the specified time.

Createdbefore

Only return Folders created before the specified time.

Updatedat

Only return Folders last updated at exactly the specified time.

Updatedafter

Only return Folders last updated after the specified time.

Updatedbefore

Only return Folders last updated before the specified time.

Sort

Specifies which fields to use for sorting results. Valid fields are name, createdAt, updatedAt, createdBy, updatedBy. createdAt will be used by default.

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Limit

The maximum number of results to return. Default is 100.

Archived

Specifies whether to return deleted Folders. Defaults to false.

Property

Specifies which property or properties to include in the response for the blog post.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Get all Landing Pages

/pages/landing-pages

Get the list of landing pages. Supports paging and filtering. This method would be useful for an integration that examined these models and used an external service to suggest edits.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Createdat

Only return Landing Pages created at exactly the specified time.

Createdafter

Only return Landing Pages created after the specified time.

Createdbefore

Only return Landing Pages created before the specified time.

Updatedat

Only return Landing Pages last updated at exactly the specified time.

Updatedafter

Only return Landing Pages last updated after the specified time.

Updatedbefore

Only return Landing Pages last updated before the specified time.

Sort

Specifies which fields to use for sorting results. Valid fields are name, createdAt, updatedAt, createdBy, updatedBy. createdAt will be used by default.

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Limit

The maximum number of results to return. Default is 100.

Archived

Specifies whether to return deleted Landing Pages. Defaults to false.

Property

Specifies which property or properties to include in the response for the blog post.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Push Landing Page draft edits live

/pages/landing-pages/{objectId}/draft/push-live

Take any changes from the draft version of the Landing Page and apply them to the live version.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Rerun a previous A/B test

/pages/landing-pages/ab-test/rerun

Rerun a previous A/B test.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Abtestid

Identifier of the A/B test this post belongs to.

Variationid

The ID of the variation to use when rerunning the A/B test.

POST Reset the Landing Page draft to the live version

/pages/landing-pages/{objectId}/draft/reset

Discards any edits and resets the draft to the live version.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Restore a previous version of a Folder

/pages/landing-pages/folders/{objectId}/revisions/{revisionId}/restore

Takes a specified version of a Folder and restores it.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Revisionid

The unique identifier of the previous revision to fetch.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Restore a previous version of a Landing Page

/pages/landing-pages/{objectId}/revisions/{revisionId}/restore

Takes a specified version of a Landing Page and restores it.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Revisionid

The unique identifier of the previous revision to fetch.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Restore a previous version of a Landing Page, to the draft version of the Landing Page

/pages/landing-pages/{objectId}/revisions/{revisionId}/restore-to-draft

Takes a specified version of a Landing Page, sets it as the new draft version of the Landing Page.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Revisionid

The unique identifier of the previous revision to fetch.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieve a Folder

/pages/landing-pages/folders/{objectId}

Retrieve the Folder object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Folders. Defaults to false.

Property

Specifies which property or properties to include in the response for the blog post.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieve a Landing Page

/pages/landing-pages/{objectId}

Retrieve the Landing Page object identified by the id in the path.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Landing Pages. Defaults to false.

Property

Specifies which property or properties to include in the response for the blog post.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Retrieve a batch of Folders

/pages/landing-pages/folders/batch/read

Update the Folder objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Folders. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Retrieve a batch of Landing Pages

/pages/landing-pages/batch/read

Retrieve the Landing Page objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to return deleted Landing Pages. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

GET Retrieve the full draft version of the Landing Page

/pages/landing-pages/{objectId}/draft

Retrieve the full draft version of the Landing Page.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieves a previous version of a Folder

/pages/landing-pages/folders/{objectId}/revisions/{revisionId}

Retrieves a previous version of a Folder

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Revisionid

The unique identifier of the previous revision to fetch.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieves a previous version of a Landing Page

/pages/landing-pages/{objectId}/revisions/{revisionId}

Retrieves a previous version of a Landing Page

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Revisionid

The unique identifier of the previous revision to fetch.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieves all the previous versions of a Folder

/pages/landing-pages/folders/{objectId}/revisions

Retrieves all the previous versions of a Folder.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Before

A timestamp string (in ISO 8601 format) used to limit the revisions returned to those created before that date.

Limit

The maximum number of results to return. Default is 100.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

GET Retrieves all the previous versions of a Landing Page

/pages/landing-pages/{objectId}/revisions

Retrieves all the previous versions of a Landing Page.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

After

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

Before

A timestamp string (in ISO 8601 format) used to limit the revisions returned to those created before that date.

Limit

The maximum number of results to return. Default is 100.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Schedule a Landing Page to be Published

/pages/landing-pages/schedule

Schedule a Landing Page to be Published

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (2)

Option Name

Description

Id

The unique identifier of the blog post to clone.

Publishdate

Date and time when the post is scheduled to be published.

PUT Set a new primary language

/pages/landing-pages/multi-language/set-new-lang-primary

Set a landing page as the primary language of a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Id

The unique identifier of the blog post to clone.

PATCH Update a Folder

/pages/landing-pages/folders/{objectId}

Sparse updates a single Folder object identified by the id in the path.
You only need to specify the column values that you are modifying.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to update deleted Folders. Defaults to false.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (7)

Option Name

Description

Category

The category or label to associate with the new folder.

Created

Timestamp when the blog post was created.

Deletedat

Timestamp indicating when the author was deleted, if applicable.

Id

The unique identifier of the blog post to clone.

Name

Name or title of the blog post.

Parentfolderid

The ID of the parent folder under which the new folder is created.

Updated

Timestamp when the post was last updated.

PATCH Update a Landing Page

/pages/landing-pages/{objectId}

Sparse updates a single Landing Page object identified by the id in the path.
You only need to specify the column values that you are modifying.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to update deleted Landing Pages. Defaults to false.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (51)

Option Name

Description

Abstatus

Status of an A/B test for this blog post.

Abtestid

Identifier of the A/B test this post belongs to.

Archivedat

Timestamp when the blog post was archived.

Archivedindashboard

Whether the post is archived in the dashboard view.

Authorname

Display name of the post's author.

Campaign

Marketing campaign associated with the post.

Categoryid

ID of the blog category for the post.

Contentgroupid

ID of the content group this post belongs to.

Contenttypecategory

Category of content type for the post.

Created

Timestamp when the blog post was created.

Createdbyid

ID of the user who created the post.

Currentstate

Current workflow state of the blog post.

Currentlypublished

Whether the post is currently published.

Domain

Domain on which the blog post is hosted.

Dynamicpagedatasourceid

ID of the data source for a dynamic page.

Dynamicpagedatasourcetype

Type of data source for a dynamic page.

Dynamicpagehubdbtableid

HubDB table ID for a dynamic page.

Enabledomainstylesheets

Whether to enable domain-level stylesheets.

Enablelayoutstylesheets

Whether to enable layout-level stylesheets.

Featuredimage

URL of the featured image for the post.

Featuredimagealttext

Alt text for the featured image.

Folderid

ID of the folder containing the post.

Footerhtml

Custom HTML to include in the page footer.

Headhtml

Custom HTML to include in the page head.

Htmltitle

HTML title tag content for the post.

Id

The unique identifier of the blog post to clone.

Includedefaultcustomcss

Whether to include default custom CSS.

Language

The language code (e.g., "en") for the blog post being attached.

Linkrelcanonicalurl

Canonical URL for the post.

Mabexperimentid

Identifier for a multi-armed bandit experiment.

Metadescription

Meta description for the post.

Name

Name or title of the blog post.

Pageexpirydate

Date when the page expires.

Pageexpiryenabled

Whether page expiry is enabled.

Pageexpiryredirectid

ID of the redirect page after expiry.

Pageexpiryredirecturl

URL to redirect to after expiry.

Pageredirected

Specifies a redirect URL for the landing page if a visitor should be redirected elsewhere.

Password

Password required to access the post.

Publicaccessrules

Array of public access rules for the post.

Publicaccessrulesenabled

Whether public access rules are enabled.

Publishdate

Date and time when the post is scheduled to be published.

Publishimmediately

Whether to publish the post immediately.

Slug

URL slug for the blog post.

State

Workflow state of the post (e.g., DRAFT, PUBLISHED).

Subcategory

Sets the subcategory under which the landing page is organized.

Templatepath

Provides the path to the template file used to render the landing page.

Translatedfromid

ID of the original post this is a translation of.

Updated

Timestamp when the post was last updated.

Updatedbyid

ID of the user who last updated the post.

Url

Full URL of the blog post.

Usefeaturedimage

Whether to use the featured image in the post.

PATCH Update a Landing Page draft

/pages/landing-pages/{objectId}/draft

Sparse updates the draft version of a single Landing Page object identified by the id in the path.
You only need to specify the column values that you are modifying.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Objectid

The unique identifier of the blog post whose revision history to list.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (51)

Option Name

Description

Abstatus

Status of an A/B test for this blog post.

Abtestid

Identifier of the A/B test this post belongs to.

Archivedat

Timestamp when the blog post was archived.

Archivedindashboard

Whether the post is archived in the dashboard view.

Authorname

Display name of the post's author.

Campaign

Marketing campaign associated with the post.

Categoryid

ID of the blog category for the post.

Contentgroupid

ID of the content group this post belongs to.

Contenttypecategory

Category of content type for the post.

Created

Timestamp when the blog post was created.

Createdbyid

ID of the user who created the post.

Currentstate

Current workflow state of the blog post.

Currentlypublished

Whether the post is currently published.

Domain

Domain on which the blog post is hosted.

Dynamicpagedatasourceid

ID of the data source for a dynamic page.

Dynamicpagedatasourcetype

Type of data source for a dynamic page.

Dynamicpagehubdbtableid

HubDB table ID for a dynamic page.

Enabledomainstylesheets

Whether to enable domain-level stylesheets.

Enablelayoutstylesheets

Whether to enable layout-level stylesheets.

Featuredimage

URL of the featured image for the post.

Featuredimagealttext

Alt text for the featured image.

Folderid

ID of the folder containing the post.

Footerhtml

Custom HTML to include in the page footer.

Headhtml

Custom HTML to include in the page head.

Htmltitle

HTML title tag content for the post.

Id

The unique identifier of the blog post to clone.

Includedefaultcustomcss

Whether to include default custom CSS.

Language

The language code (e.g., "en") for the blog post being attached.

Linkrelcanonicalurl

Canonical URL for the post.

Mabexperimentid

Identifier for a multi-armed bandit experiment.

Metadescription

Meta description for the post.

Name

Name or title of the blog post.

Pageexpirydate

Date when the page expires.

Pageexpiryenabled

Whether page expiry is enabled.

Pageexpiryredirectid

ID of the redirect page after expiry.

Pageexpiryredirecturl

URL to redirect to after expiry.

Pageredirected

Specifies a redirect URL for the landing page if a visitor should be redirected elsewhere.

Password

Password required to access the post.

Publicaccessrules

Array of public access rules for the post.

Publicaccessrulesenabled

Whether public access rules are enabled.

Publishdate

Date and time when the post is scheduled to be published.

Publishimmediately

Whether to publish the post immediately.

Slug

URL slug for the blog post.

State

Workflow state of the post (e.g., DRAFT, PUBLISHED).

Subcategory

Sets the subcategory under which the landing page is organized.

Templatepath

Provides the path to the template file used to render the landing page.

Translatedfromid

ID of the original post this is a translation of.

Updated

Timestamp when the post was last updated.

Updatedbyid

ID of the user who last updated the post.

Url

Full URL of the blog post.

Usefeaturedimage

Whether to use the featured image in the post.

POST Update a batch of Folders

/pages/landing-pages/folders/batch/update

Update the Folder objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Whether to return only results that have been archived.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Update a batch of Landing Pages

/pages/landing-pages/batch/update

Update the Landing Page objects identified in the request body.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Archived

Specifies whether to update deleted Landing Pages. Defaults to false.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Inputs

An array of objects containing the identifiers of the blog posts to retrieve.

POST Update languages of multi-language group

/pages/landing-pages/multi-language/update-languages

Explicitly set new languages for each landing page in a multi-language group.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Options (1)

Option Name

Description

Primaryid

The unique identifier of the primary blog post in the multi-language group.

Metadata

GET Get the metadata for a file

/source-code/{environment}/metadata/{path}

Gets the metadata object for the file at the specified path in the specified environment.

Parameters

Parameter Name

Description

headers

Additional HTTP header name/value pairs to include in the request.

Properties

A comma-separated list of metadata properties to include in the response.

Environment

(Required) The environment of the file ("draft" or "published").

Path

(Required) The file system location of the file.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

Rows Batch (7)

POST Clone rows in batch

/hubdb/tables/{tableIdOrName}/rows/draft/batch/clone

Clones rows in the draft version of the specified table, given a set of row ids. Maximum of 100 row ids per call.

Parameters

Parameter Name

Description

Content Type

The content type of the request payload sent to the API (e.g. application/json).

headers

Additional HTTP header name/value pairs to include in the request.

Tableidorname

The ID or name of the HubDB table containing the rows to clone.

Accept

Specifies the content type expected in the response, typically "application/json".

Response Type

The response format expected from the API (e.g. application/json).

POST Create rows in batch

/hubdb/tables/{tableIdOrName}/rows/draft/batch/create

Creates rows in the draft version of the specified table, given an array of row objects. Maximum of 100 row object per call. See the overview section for more details with an example.

Parameters

Parameter Name

Description

Content Type

[...]
